Package javassist.bytecode

# Class SignatureAttribute.ClassSignature

java.lang.Object
javassist.bytecode.SignatureAttribute.ClassSignature

Enclosing class:
  `SignatureAttribute`

public static class SignatureAttribute.ClassSignature extends Object
Class signature.

## Constructor Summary

Constructors
Constructor
Description
`ClassSignature(SignatureAttribute.TypeParameter[] p)`
Constructs a class signature.
`ClassSignature(SignatureAttribute.TypeParameter[] params, SignatureAttribute.ClassType superClass, SignatureAttribute.ClassType[] interfaces)`
Constructs a class signature.

## Method Summary

Modifier and Type
Method
Description
`String`
`encode()`
Returns the encoded string representing the method type signature.
`SignatureAttribute.ClassType[]`
`getInterfaces()`
Returns the super interfaces.
`SignatureAttribute.TypeParameter[]`
`getParameters()`
Returns the type parameters.
`SignatureAttribute.ClassType`
`getSuperClass()`
Returns the super class.
`String`
`toString()`
Returns the string representation.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ClassSignature

public ClassSignature(SignatureAttribute.TypeParameter[] params, SignatureAttribute.ClassType superClass, SignatureAttribute.ClassType[] interfaces)
Constructs a class signature.

Parameters:
  `params` - type parameters.
  `superClass` - the super class.
  `interfaces` - the interface types.

### ClassSignature

public ClassSignature(SignatureAttribute.TypeParameter[] p)
Constructs a class signature.

Parameters:
  `p` - type parameters.

## Method Details

### getParameters

public SignatureAttribute.TypeParameter[] getParameters()
Returns the type parameters.

Returns:
  a zero-length array if the type parameters are not specified.

### getSuperClass

public SignatureAttribute.ClassType getSuperClass()
Returns the super class.

### getInterfaces

public SignatureAttribute.ClassType[] getInterfaces()
Returns the super interfaces.

Returns:
  a zero-length array if the super interfaces are not specified.

### toString

public String toString()
Returns the string representation.

Overrides:
  `toString` in class `Object`

### encode

public String encode()
Returns the encoded string representing the method type signature.